package cn.ezhizao.project.business.payment.service.impl;

import cn.ezhizao.project.business.payment.domain.BizPaymentDetail;
import cn.ezhizao.project.business.payment.mapper.BizPaymentDetailMapper;
import cn.ezhizao.project.business.payment.service.IBizPaymentDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizPaymentDetailServiceImpl extends ServiceImpl<BizPaymentDetailMapper, BizPaymentDetail> implements IBizPaymentDetailService {

    @Resource
    BizPaymentDetailMapper bizPaymentDetailMapper;

    @Override
    public Integer physicallyDelete(BizPaymentDetail conditions) {
        return bizPaymentDetailMapper.physicallyDelete(conditions);
    }

    @Override
    public List<BizPaymentDetail> getList(Map<String, Object> conditions) {
        return bizPaymentDetailMapper.getList(conditions);
    }

    @Override
    public int getTotal(Map<String, Object> conditions) {
        return bizPaymentDetailMapper.getTotal(conditions);
    }

    @Override
    public List<BizPaymentDetail> getListByBean(BizPaymentDetail detailCondition) {
        return bizPaymentDetailMapper.getList(detailCondition);
    }
}
